Get Instance
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"clusterId": "<string>",
"clusterName": "<string>",
"imageUrl": "<string>",
"imageAuthId": "<string>",
"command": "<string>",
"entrypoint": "<string>",
"cpuNum": "<string>",
"memory": "<string>",
"gpuNum": "<string>",
"status": "<string>",
"statusError": {
"state": "<string>",
"message": "<string>"
},
"network": {
"id": "<string>",
"ip": "<string>"
},
"portMappings": [
{
"port": 123,
"endpoint": "<string>",
"type": "<string>"
}
],
"volumeMounts": [
{
"type": "<string>",
"size": 123,
"id": "<string>",
"mountPath": "<string>"
}
],
"node": [
{
"maxRootfsSize": 123
}
],
"jobs": [
{
"id": "<string>",
"type": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"connectComponentSSH": {
"sshCommand": "<string>",
"password": "<string>",
"isRunning": true
},
"connectComponentWebTerminal": {
"address": "<string>",
"username": "<string>",
"password": "<string>",
"isRunning": true
},
"connectComponentJupyter": {
"port": 123,
"address": "<string>",
"isRunning": true
},
"connectComponentLog": {
"systemLogAddress": "<string>",
"instanceLogAddress": "<string>",
"isRunning": true
},
"kind": "<string>",
"billingMode": "<string>",
"endTime": "<string>",
"freeStorageSize": 123,
"keepDataDay": 123
}Instance
Get Instance
GET
/
gpu-instance
/
openapi
/
v1
/
gpu
/
instance
Get Instance
Request Headers
string
obrigatório
Enum:
application/jsonstring
obrigatório
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
obrigatório
ID of the instance being queried.
Response
string
obrigatório
Instance ID.
string
obrigatório
Instance name.
string
obrigatório
Cluster ID.
string
obrigatório
Name of the cluster.
string
obrigatório
Container image URL.
string
obrigatório
Image registry authentication information.
string
obrigatório
Container startup command.
string
obrigatório
Container startup entrypoint.
string
obrigatório
Number of CPU cores allocated to the instance.
string
obrigatório
Memory size allocated to the instance, in GB.
string
obrigatório
Number of GPU cards allocated to the instance.
string
obrigatório
Instance status. Possible values:
toCreate: Pending creationcreating: Creatingpulling: Pulling imagerunning: RunningtoStart: Pending startstarting: StartingtoStop: Pending stopstopping: Stoppingexited: StoppedtoRestart: Pending restartrestarting: RestartingtoRemove: Pending deletionremoving: Deletingremoved: DeletedtoReset: Pending reset (upgrade)resetting: Resettingmigrating: Migratingfreezing: Freezing
object
object
object[]
obrigatório
object[]
object[]
object[]
object
object
object
object
string
Instance type.
string
obrigatório
Billing mode for the instance. Values:
- onDemand: Pay-as-you-go billing.
- monthly: Subscription (monthly or yearly) billing.
- spot: Spot instance billing.
string
Expiration time for subscription instances. For pay-as-you-go instances, returns -1.
integer
Free system disk size (GB).
integer
Number of days data is retained after the instance is shut down.
Última modificação em 15 de maio de 2026